<html xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
>

<f:section name="content">
    <div class="c-news-slider__item   o-slider__item">
        <n:excludeDisplayedNews newsItem="{newsItem}"/>
        <div class="o-slider__content">
            <div class="c-teaser   o-media o-media--stacked">
                <f:if condition="{newsItem.falMedia}">
                    <!-- fal media preview element -->
                    <f:then>
                        <f:if condition="{newsItem.falMediaPreviews}">
                            <f:then>
                                <div class="o-media__img o-media__img--fill">
                                    <f:alias map="{mediaElement: newsItem.falMediaPreviews.0}">
                                        <f:if condition="{mediaElement.originalResource.type} == 2">
                                            <f:media file="{mediaElement}"
                                                     alt="{mediaElement.originalResource.alternative}"
                                                     title="{mediaElement.originalResource.title}" width="660c" height="440c"/>
                                        </f:if>
                                        <f:if condition="{mediaElement.originalResource.type} == 4">
                                            <f:media file="{mediaElement}"
                                                     alt="{mediaElement.originalResource.alternative}"
                                                     title="{mediaElement.originalResource.title}" width="660c" height="440c"/>
                                        </f:if>
                                        <f:if condition="{mediaElement.originalResource.type} == 5">
                                            <f:media file="{mediaElement}"
                                                     alt="{mediaElement.originalResource.alternative}"
                                                     title="{mediaElement.originalResource.title}" width="660c" height="440c"/>
                                        </f:if>
                                    </f:alias>
                                </div>
                            </f:then>
                            <f:else>
                                <f:if condition="{settings.displayDummyIfNoMedia}">
                                    <div class="o-media__img o-media__img--fill"></div>
                                </f:if>
                            </f:else>
                        </f:if>
                    </f:then>
                    <f:else>
                        <f:if condition="{newsItem.media}">
                            <!-- media preview element -->
                            <f:then>
                                <f:if condition="{newsItem.mediaPreviews}">
                                    <f:then>
                                        <div class="o-media__img o-media__img--fill">
                                            <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
                                                <f:if condition="{mediaElement.type} == 0">
                                                    <f:image src="uploads/tx_news/{mediaElement.image}"
                                                             title="{mediaElement.title}" alt="{mediaElement.alt}"/>
                                                </f:if>
                                                <f:if condition="{mediaElement.type} == 1">
                                                    <f:render partial="Detail/MediaVideo"
                                                              arguments="{mediaElement: mediaElement}"/>
                                                </f:if>
                                                <f:if condition="{mediaElement.type} == 2">
                                                    <f:render partial="Detail/MediaHtml"
                                                              arguments="{mediaElement: mediaElement}"/>
                                                </f:if>
                                            </f:alias>
                                        </div>
                                    </f:then>
                                    <f:else>
                                        <f:if condition="{settings.displayDummyIfNoMedia}">
                                            <div class="o-media__img o-media__img--fill"></div>
                                        </f:if>
                                    </f:else>
                                </f:if>
                            </f:then>
                            <f:else>
                                <f:if condition="{settings.displayDummyIfNoMedia}">
                                    <f:then>
                                        <div class="o-media__img o-media__img--fill"></div>
                                    </f:then>
                                </f:if>
                            </f:else>
                        </f:if>
                    </f:else>
                </f:if>
                <div class="c-teaser__content   o-media__body">
                    <div class="c-teaser__meta   o-meta">
						<span class="o-meta__date">
							<f:format.date format="{f:translate(key:'dateFormat')}">{newsItem.datetime}</f:format.date>
						</span>
                    </div>
                    <!-- header -->
                    <h3 class="c-teaser__title">{newsItem.title}</h3>
                    <!-- teaser -->
                    <p class="c-teaser__text">
                        <f:if condition="{newsItem.drkCountry}">
                            <span class="c-teaser__region">{newsItem.drkCountry}</span>
                        </f:if>

                        <f:if condition="{newsItem.teaser}">
                            <f:then>
                                {newsItem.teaser -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                                respectWordBoundaries:'1')-> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                            </f:then>
                            <f:else>
                                {newsItem.bodytext -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                                respectWordBoundaries:'1')-> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                            </f:else>
                        </f:if>
                        <n:link newsItem="{newsItem}" settings="{settings}" class="c-teaser__link"
                                title="{newsItem.title}">
                            <f:translate
                                    key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:read_more"/>
                        </n:link>
                    </p>

                </div>
            </div>
        </div>
    </div>
</f:section>
